PLMKSTRM(3)

NAME
plmkstrm - Creates a new stream and makes it the default

SYNOPSIS
plmkstrm(p_strm)

DESCRIPTION

Creates a new stream and makes it the default. Differs from using plsstrm(3), in that a free stream number is found, and returned. Unfortunately, I have to start at stream 1 and work upward, since stream 0 is preallocated. One of the big flaws in the PLplot API is that no initial, library-opening call is required. So stream 0 must be preallocated, and there is no simple way of determining whether it is already in use or not.

Redacted form: plmkstrm(p_strm)

This function is used in examples 1 and 20.

ARGUMENTS

p_strm (PLINT_NC_SCALAR(3), output)
    Returned value of the stream number of the created stream.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.